package org.codehaus.plexus.evaluator;

/*
 * Copyright 2001-2006 The Codehaus.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * EvaluatorException 
 *
 * @author <a href="mailto:joakim@erdfelt.com">Joakim Erdfelt</a>
 * @version $Id: EvaluatorException.java 4589 2006-11-06 19:28:29Z joakime $
 */
public class EvaluatorException
    extends Exception
{
    public EvaluatorException()
    {
        super();
    }

    public EvaluatorException( String message, Throwable cause )
    {
        super( message, cause );
    }

    public EvaluatorException( String message )
    {
        super( message );
    }

    public EvaluatorException( Throwable cause )
    {
        super( cause );
    }
}
